OpenCATS 0.9.4-3

Free, Open-Source Applicant Tracking System including job-board. Entirely customisable!

Please describe the issue you're having
If you accept the answer, please mark the topic as [SOLVED] by clicking the tick.

Moderators: RussH, cptr13

Forum rules: Just please remember to play nicely once you walk through the door. You can disagree with us, or any other commenters in this forum, but respect our space and keep your comments directed to the topic at hand.
By surabhi
#3603
Hi there,

Once I was done extracting files, the main link http://opencats.thejobswitch.com/ is not working. I get 'CATS Error: session.auto_start must be set to 0 in php.ini.' However, when I try http://opencats.thejobswitch.com/installwizard.php, it worked just fine and went all the way to the end and installation was done. The main page gives this error, so I cannot log in.

Can you help, please? Many thanks in advance for all the help.

Regards
Surabhi
User avatar
By RussH
#3604
Hi Surabhi,

is do you have session.auto_start = 1 in php.ini for some particular reason?


It's considered 'best practise' to have it set to 0, and opencats requires it too.
By amaisonneuve
#3923
Well Well.. i'm back.. they always come back..

Ok so i just grabbed the latest code and i'm getting this error also.

CATS Error: session.auto_start must be set to 0 in php.ini.

I confirmed with phpinfo and its set to 0..

BTW running Centos 6 for this build.
User avatar
By RussH
#3924
Hi Alain..

did you grab the code from Master or one of the releases? I guess you ran composer to get the dependencies (of course!). What version of php / mysql are you running?

...and CentOS 6?! That's a bit old

The 'normal code' check for that is in index.php, line 107;
Code: Select all
/* Objects can't be stored in the session if session.auto_start is enabled. */
if (ini_get('session.auto_start') !== '0' &&
    ini_get('session.auto_start') !== 'Off')
{
    die('CATS Error: session.auto_start must be set to 0 in php.ini.');
}
..or the installation test is at line 212 in OpenCATS/lib/InstallationTests.php


Don't see why that wouldn't work - however if you're sure you have it set to 0 then comment it out
User avatar
By Hakimi89
#4455
Hai Russh,

I get the same issue. After enjoy use for 5 month opencats without touch any code. Yesterday I get the same error.
Attachments
code.PNG
code.PNG (17.48 KiB) Viewed 1114 times
cats error.PNG
cats error.PNG (2.76 KiB) Viewed 1115 times
User avatar
By RussH
#4460
Is this your server - or a hosted install? I suspect your php version was just upgraded?
User avatar
By RussH
#4474
Hakimi89 wrote: 20 Sep 2019, 02:24 I see. By the way this is hosted server . I already check no upgraded activity for the php version. What else can I do?
If you check your php.ini file, please see if auto_start is set to 0 or not?
User avatar
By Hakimi89
#4484
RussH wrote: 20 Sep 2019, 12:07
Hakimi89 wrote: 20 Sep 2019, 02:24 I see. By the way this is hosted server . I already check no upgraded activity for the php version. What else can I do?
If you check your php.ini file, please see if auto_start is set to 0 or not?
Hi RussH

What I do, I just remove 0 at auto_start in the index.php and my opencats can use as usual. Please refer attachment picture
If anything problem in future as I did?
Attachments
edit.PNG
edit.PNG (7.14 KiB) Viewed 1077 times
How to install OpenCats on hostinger?

I have PHP 5.6 and I uploaded the OpenCats folder […]

how to "delete" a user

Thanks for the reply The thread op asked about de[…]

Email Integration

Hey CFM, all, this is the code I had created to […]

Job Order Export

Hi Russ, I have OpenCATS setup on shared hosting,[…]

Yes it is possible. But you have to dug into the s[…]

It need to be exceptionally truthful to export the[…]

hey plz reply fast

Hi All, would like to ask the following: We have[…]